use egui_plot::PlotUi;

use crate::{application::Application, geometry::elements::Element};

use super::{draw_on_plot_canvas, CanvasColour, PlotDrawer};

pub fn draw_excellons_(ui: &mut PlotUi, app: &mut Application) {
    for (file_name, (_, excellon)) in &app.excellons {
        let selected = &app.selection == file_name;

        for circle in excellon.holes.iter() {
            draw_on_plot_canvas(
                ui,
                PlotDrawer::Drawable((
                    &Element::Circle(circle.to_owned()),
                    CanvasColour::Excellon,
                    selected,
                )),
            );
        }
    }
}
