use eframe::egui;

use super::{
    canvas::draw_canvas,
    panels::{actions::draw_action_panel, header::draw_header, sidebar::draw_sidebar},
    Application,
};

impl<'a> eframe::App for Application<'a> {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        draw_header(ctx, self);

        draw_sidebar(ctx, self);

        egui::CentralPanel::default().show(ctx, |ui| {
            draw_action_panel(ui, self);

            ui.separator();

            draw_canvas(ui, self);
        });
    }
}
