use std::fmt;

use error_stack::{Context, Report};

#[derive(Debug)]
pub struct FileError;

impl FileError {
    pub fn new(text: &str) -> Report<Self> {
        Report::new(Self).attach_printable(text.to_string())
    }
}

impl fmt::Display for FileError {
    fn fmt(&self, fmt: &mut fmt::Formatter<'_>) -> fmt::Result {
        fmt.write_str("Error opening file")
    }
}

impl Context for FileError {}
