mod excellon_actions;
mod geometry_actions;
mod gerber_actions;

use eframe::egui::{self, Ui, Vec2};
use excellon_actions::show_excellon_actions;
use geometry_actions::show_geometry_actions;
use gerber_actions::show_gerber_actions;

use crate::application::Application;

pub const HOLE_MARK_DIAMETER: f32 = 0.1;

pub fn draw_action_panel(ui: &mut Ui, app: &mut Application) {
    let (id, rect) = ui.allocate_space(Vec2::new(ui.available_width(), 100.));

    egui::Area::new(id)
        .default_width(rect.width())
        .default_height(rect.height())
        .movable(false)
        .show(ui.ctx(), |ui| {
            ui.heading("Actions");

            show_gerber_actions(ui, app);
            show_excellon_actions(ui, app);
            show_geometry_actions(ui, app);
        });
}
