use std::fmt;

use error_stack::{Context, Report};

#[derive(Debug)]
pub struct ResourceError;

impl ResourceError {
    pub fn new(text: &str) -> Report<Self> {
        Report::new(Self).attach_printable(text.to_string())
    }
}

impl fmt::Display for ResourceError {
    fn fmt(&self, fmt: &mut fmt::Formatter<'_>) -> fmt::Result {
        fmt.write_str("Error loading resource")
    }
}

impl Context for ResourceError {}
